Additional Drivers / Driver Manager shows no drivers for NVidia GTX 750ti - Missing modalias in nvidia-331.

Bug #1351699 reported by juanmanuel
46
This bug affects 10 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-331 (Ubuntu)
Invalid
High
Unassigned
nvidia-graphics-drivers-331-updates (Ubuntu)
Invalid
High
Unassigned
ubuntu-drivers-common (Ubuntu)
Invalid
High
Unassigned

Bug Description

I'm on Ubuntu 14.04 (Trusty), up to date, on a computer with an NVidia GTX 750ti graphics card. I also tested on Utopic with a live daily dvd and the problem persists.

The list under Additional Drivers is empty for my NVidia GTX 750ti video card:
Also, running:
        ubuntu-drivers list
or
        ubuntu-drivers devices
produces an empty output.

Running:
        software-properties-gtk --open-tab=4
or
        kcmshell4 kcm_driver_manager
shows no drivers found (not even the open source driver). I'll attach a screenshot here to show this.

I had to workaround by installing the "nvidia-331-updates" package manually by console, which works very well for my video card. Though I worry about people not so familiar with the console.

The empty list happens because the "ubuntu-drivers" command insists on making a perfect VID:PID match with each driver, and also because the specific modalias for making that match, is missing from nvidia-331 deb package.
The corresponding modalias for my NVidia 750ti is (as obtained from running "ubuntu-drivers debug"):

         pci:v000010DEd00001380sv00001458sd0000362Dbc03sc00i00

Which means that this should be included in the driver package description for my card to be matched by the Additional Drivers backend:

          pci:v000010DEd00001380sv*sd*bc03sc*i*

wich is currently missing from the Modaliases list in the description of the .DEB nvidia packages. That is the modalias required to make a match for the 750ti card.

There are two possible solutions:
-------------------------------------
      A) Please ask the maintainer(s) of nvidia packages to add that modalias to the DEB package of "nvidia-331" and "nvidia-331-updates" packages

      B) OR Please ask the developers of "ubuntu-drivers-common" package to match nvidia drivers by VID instead of insisting that the VID and PID both match perfectly. A lot of cards are left without drivers that way (not even "noveau" is matching my card currently).

Important Details
--------------------

If I look at the current list of modaliases in the nvidia drivers, by running:

        apt-cache show 'nvidia*' | grep -i modaliases

I cannot find my NVidia 750ti, which has a VID equal to 10DE, and a PID equal to 1380. I should be able to find the string "v000010DEd00001380".
This causes the detection routine in "ubuntu-drivers-common", to never match a driver (I found that routine is at /usr/lib/python3/dist-packages/UbuntuDrivers/detect.py), because the product id code for my 750ti is missing from all the drivers, and because ubuntu-drivers-common started to require a perfect match (both vendor id and product id). The routine is called: "packages_for_modalias()".

There is a very big list of nvidia cards that COULD be affected by the same problem (empty AdditionalDrivers), not just my 750ti. This can be verified by looking at all the product ids for nvidia cards, and comparing to the modaliases present in the nvidia drivers packages:

        "The PCI ID Repository"
        http://pci-ids.ucw.cz/read/PC/10de

and looking at the current full list of modaliases with:
          apt-cache show 'nvidia*' | grep -i modaliases

For instance, the NVidia 780ti and NVidia 780 are both missing too:

          apt-cache show 'nvidia*' | grep Modaliases | grep d00001007
          apt-cache show 'nvidia*' | grep Modaliases | grep d00001008

(produces empty results)

Though a "NVidia GT 610" that I have in an old computer of mine, can be found, and does show a list in Additional Drivers:

         apt-cache show 'nvidia*' | grep Modaliases | grep d0000104A

(shows a long modalias line matching for nvidia-304 and nvidia-331 packages for the old GT 610).

Please make Additional Drivers selector work for my NVidia GTX 750ti video card.
FYI: This video card was released by nvidia in february 2014.

Your help will be appreciated!

Cordially,
Juan Manuel Cabo

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubuntu-drivers-common 1:0.2.91.5
ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4
Uname: Linux 3.13.0-32-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
CurrentDesktop: KDE
Date: Sat Aug 2 17:49:35 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2011-08-01 (1097 days ago)
InstallationMedia: Kubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
SourcePackage: ubuntu-drivers-common
UpgradeStatus: Upgraded to trusty on 2014-05-12 (82 days ago)

Revision history for this message
juanmanuel (rockerito99) wrote :
Revision history for this message
juanmanuel (rockerito99) wrote :
Revision history for this message
juanmanuel (rockerito99) wrote :

Output of lspci -v -nn and a screenshot has been attached.

juanmanuel (rockerito99)
tags: added: utopic
removed: utopy
Revision history for this message
juanmanuel (rockerito99) wrote :

$ lspci | grep NVIDIA
        01:00.0 VGA compatible controller: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] (rev a2)
        01:00.1 Audio device: NVIDIA Corporation Device 0fbc (rev a1)

$ lspci -v -nn | grep NVIDIA
        01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] [10de:1380] (rev a2) (prog-if 00 [VGA controller])
        01:00.1 Audio device [0403]: NVIDIA Corporation Device [10de:0fbc] (rev a1)

Revision history for this message
juanmanuel (rockerito99) wrote :

Navigating nvidia's website, I found that the 750ti was officially suported starting from the linux driver version 334.21:

             334.21 March 3, 2014

             "Linux x64 (AMD64/EM64T) Display Driver" - Release Highlights
             http://www.nvidia.com/download/driverResults.aspx/73666/en-us

Now, the newest driver package available for Trusty is: 331.38,
and the newest nvidia package available for Utopy is: 331.89.

They both work with my Geforce GTX 750ti card, though they are older than the first one to mention support for the 750ti (version 331.89 vs 334.21), and don't contain the matching modalias, so no driver is listed.

I understand if us users cannot be recommended to run the available drivers for ubuntu, but I still think it is a bug to show an empty driver selection list in Additional Drivers, with no message to correctly reflect what is happening, or no possibility to select a 3D enabled driver by GUI, even if not the recommended one.

In summary: My 750ti works perfectly with 331.38, and I think it is a bug not to show any drivers for selection even if not recommended, and not to give a proper message to us user. Instead we get just a blank list.

Best wishes,
Juan Manuel Cabo

Revision history for this message
Rohan Garg (rohangarg) wrote :

Invalid for Kubuntu Driver Manager, information is mined from the ubuntu drivers backend which will need fixing.

Changed in kubuntu-driver-manager (Ubuntu):
status: New → Invalid
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: New → Confirmed
Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
Revision history for this message
dino99 (9d9) wrote :

gtx 750 is also affected of course

the newest 340.46 is out with lot of fixes; hopes to see it landing inside Utopic archive (and the ocl-icd-libopencl1 being available for all the driver > 331)

Please, the X team, you have a huge task to bake here.

Revision history for this message
s56vpe (peter-podbevsek) wrote :

I can't believe that a more recent Nvidia driver, which would support Maxwell cards, is not included in Utopic. This is just crazy :/

Revision history for this message
dino99 (9d9) wrote :

Newest nvidia 331 & 340 today's drivers from xorg-edgers ppa have solved the jockey issue (after purging the previous installed nvidia drivers), and the dkms issue while installing 3.16 or 3.18 kernels.

Revision history for this message
dino99 (9d9) wrote :

Feedback:

get that issue logged today, booted with kernel 3.18 & the new nvidia driver upgraded yesterday:

kernel: [ 35.160563] No drm_driver.set_busid() implementation provided by nv_drm_driver [nvidia]. Use drm_dev_set_unique() to set the unique name explicitly.

Looks like the configuration at build time is missing a setting.

Changed in kubuntu-driver-manager (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → High
Changed in ubuntu-drivers-common (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Edgar J. M. Luís (edgarluis777)
no longer affects: kubuntu-driver-manager (Ubuntu)
Revision history for this message
Mr John Paul Cooper (johnpaul-cooper) wrote :

It also affects the Gigabyte GV-NV75TOC-2GI (NVIDIA GTX 750 Ti (Rev 1.0) PCI-E 3.0 2GB GDDR5.

Revision history for this message
Mr John Paul Cooper (johnpaul-cooper) wrote :

Still present in current point release (14.04.2) of Ubuntu (excluding kubuntu-driver-manager).

dino99 (9d9)
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: Edgar J. M. Luís (edgarluis777) → nobody
Revision history for this message
Eric Ongerth (ericongerth) wrote :

Same problem --

Fresh install of Ubuntu-14.04.1 64-bit .iso followed by two reboots and certainty of all apt-get updates installed
NVIDIA GeForce GTX 970 video card
No Additional Drivers detected by the built-in tools.

For now I'm enabling the xorg-edgers ppa but I shouldn't have to and it's not the best way to go.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Marcelo Siqueira (marcelosiqueirafisico)
dino99 (9d9)
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: Marcelo Siqueira (marcelosiqueirafisico) → nobody
Revision history for this message
dino99 (9d9) wrote :

That card can use newer & better driver now

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Invalid
tags: removed: utopic
Revision history for this message
dino99 (9d9) wrote :

That issue should be gone now, is not it ?

Changed in ubuntu-drivers-common (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
juanmanuel (rockerito99) wrote :

Indeed the issue of not having a supported driver for the GTX 750ti is gone!

I now have "nvidia-340-updates" in Ubuntu/Kubuntu LTS 14.04

This new nvidia driver version was added in 14.04 as of a few weeks ago.

The ticket can be closed, except for maybe that the matching of devices to graphics drivers done through VID:PID is too restrictive, and I think the real issue will reappear when new products come out. This makes little sense if linux is to win desktop gaming or HTPC some day (don't get me started on what happens when my Intel Graphics broadwell HTPC gets the TV turned off... X crashes in kubuntu 15.04).

I guess this bug report can be closed. I don't have this specific problem anymore on 14.04. Thanks!
Cheers!
--Juan Manuel Cabo

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers